---
title: "Updates the store's name, description and branding."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › site

`PATCH /v1/stores/{store}`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `site:write`

## Path parameters

- `store` (`updateStore.path.store`; string, required) — The store's id.

## Request body

_Optional._

- `name` (`updateStore.name`; string, optional) — Stored trimmed; a blank one is refused.
  - minLength 1; maxLength 120
- `swatch` (`updateStore.swatch`; any of, optional)
  - any of: `string`, `null`

## Example request

```json
{
  "name": "string",
  "swatch": "emerald"
}
```

## Code samples

### cURL

```bash
curl --request PATCH \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "string",
  "swatch": "emerald"
}
'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>';
const options = {
  method: 'PATCH',
  headers: {'Content-Type': 'application/json', Authorization: 'Bearer <token>'},
  body: JSON.stringify({name: 'string', swatch: 'emerald'})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>"

payload = {
    "name": "string",
    "swatch": "emerald"
}
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer <token>"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Updates the store's name, description and branding.

#### Example

```json
{
  "id": "string",
  "name": "string",
  "locale": "string",
  "location": "string",
  "hostname": "string",
  "swatch": "string",
  "icon": "string",
  "created_at": "string"
}
```

- `id` (`updateStore.response.200.id`; string, required)
- `name` (`updateStore.response.200.name`; string, required)
- `locale` (`updateStore.response.200.locale`; string, required)
- `location` (`updateStore.response.200.location`; any of, required)
  - any of: `string`, `null`
- `hostname` (`updateStore.response.200.hostname`; any of, required)
  - any of: `string`, `null`
- `swatch` (`updateStore.response.200.swatch`; any of, required)
  - any of: `string`, `null`
- `icon` (`updateStore.response.200.icon`; string, required)
- `created_at` (`updateStore.response.200.created_at`; any of, required)
  - any of: `string`, `null`

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`updateStore.response.default.type`; string, required)
  - format `uri`
- `title` (`updateStore.response.default.title`; string, required)
- `status` (`updateStore.response.default.status`; integer, required)
- `detail` (`updateStore.response.default.detail`; string, required)
- `code` (`updateStore.response.default.code`; string, optional)
- `context` (`updateStore.response.default.context`; object, optional)
- `reached_core` (`updateStore.response.default.reached_core`; boolean, optional)
- `core_answer` (`updateStore.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/update-store/index.md
